<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>netcoreapp3.1</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Business\ConvertCSVToExcel.cs" />
    <Compile Remove="Utilities\DataOperations.cs" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="C:\Users\Mario\.nuget\packages\nlog.config\4.7.15\contentFiles\any\any\NLog.config" />
  </ItemGroup>

  <ItemGroup> 
     <PackageReference Include="NLog" Version="5.1.2" /> 
     <PackageReference Include="OpenCover" Version="4.7.1221" />
    <PackageReference Include="Oracle.ManagedDataAccess.Core" Version="3.21.90" />
    <PackageReference Include="ReportGenerator" Version="5.1.21" />
    <PackageReference Include="Selenium.WebDriver" Version="4.8.2" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="Interop.Domino">
      <HintPath>Utilities\Interop.Domino.dll</HintPath>
    </Reference>
    <Reference Include="Interop.Microsoft.Office.Interop.Excel">
      <HintPath>Utilities\Interop.Microsoft.Office.Interop.Excel.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <None Update="config\config.txt">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
